Status: Closed Start date: 2009-02-25

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: 0.8.2   

Resolution: Fixed   

Description

A user on the #redmine channel requests clickable/linkable line numbers while repo browsing.  Here is a simple patch for the views

and a little css tweak.

worksforme :)

Associated revisions

Revision 2527 - 2009-02-26 10:28 - Jean-Philippe Lang

Clickable/linkable line #'s while browsing the repo or viewing a text file (#2835).

Revision 2555 - 2009-03-07 12:02 - Jean-Philippe Lang

Change to line #'s links in file/repo viewer (#2835).

History

#1 - 2009-02-26 00:16 - Mischa The Evil

+1, it seems to me that the chosen implementation has a pretty low severity in contrast to a the highly improved useability it provides...

#2 - 2009-02-26 10:28 - Jean-Philippe Lang

- Status changed from New to Resolved

- Target version set to 0.8.2

- Resolution set to Fixed

Committed in r2527 with sligth changes:

title attribute removed (hardcoded english word)

change to scm.css removed (not related to this feature)

Thanks.

#3 - 2009-02-26 23:25 - Mischa The Evil

- File linenumbers_without_css.jpg added

- File linenumbers_with_css.jpg added

Jean-Philippe Lang wrote:

Committed in r2527 with sligth changes:

...

change to scm.css removed (not related to this feature)

 I am in the opinion that it ís related in the sense of the styling of the feature. As such: I think these selectors maybe shouldn't be declared in 

source:/trunk/public/stylesheets/scm.css. Instead they seem to belong to the source:/trunk/public/stylesheets/application.css.

See the following screenshots:

Without the CSS style-declarations (as committed) With the CSS style-declarations (like the patch)

linenumbers_without_css.jpg linenumbers_with_css.jpg 
https://www.redmine.org/projects/redmine/repository/svn/revisions/2527
https://www.redmine.org/projects/redmine/repository/svn/revisions/2527
https://www.redmine.org/projects/redmine/repository/svn/entry/trunk/public/stylesheets/scm.css
https://www.redmine.org/projects/redmine/repository/svn/entry/trunk/public/stylesheets/application.css


As you see the changes are:

on hover -> underlining removed

color -> instead of default link-color a more sophisticated gray-teint is used.

Though, consider it just a minor CSS-improvement... ;)

Thanks for your fast response on this issue...

#4 - 2009-03-07 12:02 - Jean-Philippe Lang

Yes, sorry. The style is committed in r2555.

Instead they seem to belong to the source:/trunk/public/stylesheets/application.css

 scm.css is included when browsing a repo or viewing a file. So I don't think this style is needed in application.css

Am I wrong?

#5 - 2009-03-07 12:15 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged in 0.8-stable in r2556.

#6 - 2009-10-02 15:48 - Jean-Philippe Lang

- Estimated time deleted (0.00 h)

Files

linkable_line_numbers.patch 2.19 KB 2009-02-25 Alex U

linenumbers_without_css.jpg 30.5 KB 2009-02-26 Mischa The Evil

linenumbers_with_css.jpg 30 KB 2009-02-26 Mischa The Evil
